<?php
namespace com\nestdesign\WpJobManagerApi2;



add_action('job_manager_job_filters_search_jobs_start', function ($atts) {
  $opts = get_option(Main::OPTION_CREATE_TAXONOMY, []);
  foreach($opts as $def) {
    if(empty($def[Main::KEY_TAXONOMY_NAME])) continue;
    if(empty($def[Main::KEY_FILTER_ENABLE])) continue;
    $args = ['taxonomy' => $def[Main::KEY_TAXONOMY_NAME]];
    $options = get_terms($args);
    echo '<div class="search_'.$def[Main::KEY_TAXONOMY_NAME].'">
			<label for="search_'.$def[Main::KEY_TAXONOMY_NAME].'">Keywords</label>
			<select name="'.$def[Main::KEY_TAXONOMY_NAME].'"><option value="">'.sprintf(__('-- select %s --', 'wp-job-manager-api2'), $args['taxonomy']).'</option>'.implode('', array_map(function ($item) {
        return '<option value="'.htmlspecialchars($item->name, ENT_QUOTES).'">'.htmlspecialchars($item->slug, ENT_QUOTES).'</option>';
      }, $options)).'</select>
		</div>';
  }
}, 10, 1);
